FROM registry.gitlab.com/perm.pub/dock/latex-perl-deb:12.5-3

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get -y update

# LaTeXML dependendies
RUN apt-get -y install \
  imagemagick \
  libarchive-zip-perl \
  libfile-which-perl \
  libimage-magick-perl \
  libimage-size-perl \
  libio-string-perl \
  libjson-xs-perl \
  libparse-recdescent-perl \
  libpod-parser-perl \
  libtext-unidecode-perl \
  liburi-perl \
  libuuid-tiny-perl \
  libwww-perl \
  libxml-libxml-perl \
  libxml-libxslt-perl \
  ;

RUN cpan -T LaTeXML
